org.baraza.swing

## Class BTextIcon

- java.lang.Object
- - org.baraza.swing.BTextIcon

- All Implemented Interfaces:
    PropertyChangeListener, EventListener, Icon

      public class BTextIcon
      extends Object
      implements Icon, PropertyChangeListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ROTATE_DEFAULT`
    `static int` | `ROTATE_LEFT`
    `static int` | `ROTATE_NONE`
    `static int` | `ROTATE_RIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BTextIcon(Component component, String label, int rotateHint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()`
    `int` | `getIconWidth()`
    `void` | `paintIcon(Component c, Graphics g, int x, int y)`
    `void` | `propertyChange(PropertyChangeEvent e)`
    `void` | `setLabel(String label)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROTATE_DEFAULT

          public static final int ROTATE_DEFAULT

      See Also:
        Constant Field Values

    - #### ROTATE_NONE

          public static final int ROTATE_NONE

      See Also:
        Constant Field Values

    - #### ROTATE_LEFT

          public static final int ROTATE_LEFT

      See Also:
        Constant Field Values

    - #### ROTATE_RIGHT

          public static final int ROTATE_RIGHT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BTextIcon

          public BTextIcon(Component component,
                   String label,
                   int rotateHint)

  - ### Method Detail

    - #### setLabel

          public void setLabel(String label)

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent e)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`

    - #### paintIcon

          public void paintIcon(Component c,
                       Graphics g,
                       int x,
                       int y)

      Specified by:
        `paintIcon` in interface `Icon`

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `Icon`

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `Icon`

Copyright © 2016 openBaraza. All Rights Reserved.